svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state
    transition(duration="250ms")
    property(name="range" type="enum" values='"IDLE";"RUNNING";"ERROR"')
      relation(query-selector='#text' values='"idle";"running";"error"')
      relation(query-selector='#rect' attribute-name="width" values="0; 100%; 100%")
      relation(query-selector='#rect' attribute-type="CSS" attribute-name="fill" values="black; green; red")
      relation(query-selector='#text2' values='"ok";"error"')

    property(name="rangeInit" type="enum" values='"IDLE";"RUNNING";"ERROR"' initial="RUNNING")
    property(name="rangeInit2" type="enum" values='"IDLE";"RUNNING";"ERROR"' initial='"RUNNING"')
    property(name="rangeSingle" type="enum" values='"IDLE"' initial="IDLE")
    property(name="rangeEmpty" type="enum" values='"test";""' initial="")

  text#text(y="5%" x="50%" height="5%" style="font-size:2em;") Should not be visible
  rect#rect(y="10%" width="0%" height="5%" style="fill:red;")
  text#text2(y="20%" x="50%" height="5%" style="font-size:2em;") Should not be visible
